Skip to main content
GET
/
invocations
JavaScript
import Kernel from '@onkernel/sdk';

const client = new Kernel({
  apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const invocationListResponse of client.invocations.list()) {
  console.log(invocationListResponse.id);
}
import os
from kernel import Kernel

client = Kernel(
    api_key=os.environ.get("KERNEL_API_KEY"),  # This is the default and can be omitted
)
page = client.invocations.list()
page = page.items[0]
print(page.id)
package main

import (
	"context"
	"fmt"

	"github.com/kernel/kernel-go-sdk"
	"github.com/kernel/kernel-go-sdk/option"
)

func main() {
	client := kernel.NewClient(
		option.WithAPIKey("My API Key"),
	)
	page, err := client.Invocations.List(context.TODO(), kernel.InvocationListParams{})
	if err != nil {
		panic(err.Error())
	}
	fmt.Printf("%+v\n", page)
}
curl --request GET \
  --url https://api.onkernel.com/invocations \
  --header 'Authorization: Bearer <token>'


[
  {
    "id": "rr33xuugxj9h0bkf1rdt2bet",
    "app_name": "my-app",
    "version": "1.0.0",
    "action_name": "analyze",
    "started_at": "2024-05-19T15:30:00.000000000Z07:00",
    "status": "succeeded",
    "payload": "{\"data\":\"example input\"}",
    "output": "{\"result\":\"success\",\"data\":\"processed input\"}",
    "finished_at": "2024-05-19T15:30:05.000000000Z07:00",
    "status_reason": "Invocation completed successfully"
  }
]
{
  "code": "bad_request",
  "message": "Missing required field: app_name",
  "details": [
    {
      "code": "invalid_input",
      "message": "Provided version string is not semver compliant"
    }
  ],
  "inner_error": {
    "code": "invalid_input",
    "message": "Provided version string is not semver compliant"
  }
}
{
  "code": "bad_request",
  "message": "Missing required field: app_name",
  "details": [
    {
      "code": "invalid_input",
      "message": "Provided version string is not semver compliant"
    }
  ],
  "inner_error": {
    "code": "invalid_input",
    "message": "Provided version string is not semver compliant"
  }
}
{
  "code": "bad_request",
  "message": "Missing required field: app_name",
  "details": [
    {
      "code": "invalid_input",
      "message": "Provided version string is not semver compliant"
    }
  ],
  "inner_error": {
    "code": "invalid_input",
    "message": "Provided version string is not semver compliant"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

app_name
string

Filter results by application name.

version
string

Filter results by application version.

action_name
string

Filter results by action name.

deployment_id
string

Filter results by deployment ID.

status
enum<string>

Filter results by invocation status.

Available options:
queued,
running,
succeeded,
failed
since
string

Show invocations that have started since the given time (RFC timestamps or durations like 5m).

Example:

"2025-06-20T12:00:00Z"

limit
integer
default:20

Limit the number of invocations to return.

Required range: 1 <= x <= 100
offset
integer
default:0

Offset the number of invocations to return.

Required range: x >= 0
query
string

Search invocations by ID, app name, or action name.

Response

A list of invocations.

id
string
required

ID of the invocation

Example:

"rr33xuugxj9h0bkf1rdt2bet"

app_name
string
required

Name of the application

Example:

"my-app"

version
string
required

Version label for the application

Example:

"1.0.0"

action_name
string
required

Name of the action invoked

Example:

"analyze"

started_at
string<date-time>
required

RFC 3339 Nanoseconds timestamp when the invocation started

Example:

"2024-05-19T15:30:00.000000000Z07:00"

status
enum<string>
required

Status of the invocation

Available options:
queued,
running,
succeeded,
failed
Example:

"succeeded"

payload
string

Payload provided to the invocation. This is a string that can be parsed as JSON.

Example:

"{\"data\":\"example input\"}"

output
string

Output produced by the action, rendered as a JSON string. This could be: string, number, boolean, array, object, or null.

Example:

"{\"result\":\"success\",\"data\":\"processed input\"}"

finished_at
string<date-time> | null

RFC 3339 Nanoseconds timestamp when the invocation finished (null if still running)

Example:

"2024-05-19T15:30:05.000000000Z07:00"

status_reason
string

Status reason

Example:

"Invocation completed successfully"